#include "haplotypetest.h"

int error_flag       = 0;
int error_check_flag = 0;

int reset_error();
int error_message(char *);
int warning_message(char *);
int error_check();

int reset_error()
{
  error_flag       = 0;
  error_check_flag = 0;

  return 0;
}

int error_message(char *message)
{
  printf("\n*** %s\n",message);
  /*fprintf(stderr,"\n*** %s\n",message);*/
  error_flag = 1;
  return 0;
}

int warning_message(char *message)
{
  printf("$$$ %s\n",message);
  /*fprintf(stderr,"\n$$$ %s\n",message);*/
  error_flag = 0;
  return 0;
}

int error_check()
{
  if (error_flag) {
    if (error_check_flag) {
      return 1;
    }
    else {
      /* printf("*** Fatal error has occur. Execution terminated.\n");*/
      error_check_flag = 1;
      if (File_Status->interactive) {
	fprintf(stderr,"*** Fatal error has occur.\n");
	return 1;
      }
      else {
	fprintf(stderr,"*** Fatal error has occur. Execution terminated.\n");
	exit(1);
      }
    }
  }

  return 0;
}
